public class Racional{
    // <<Atributos de instancia>>
    private int num;
    private int den;
    
    // <<Constructor>>
    public Racional(int n, int d){
        num = n;
        den = d;
        
        int MCD = mcd (n,d);
        num = num/MCD;
        den = den/MCD;

    }
    
    private static int mcd(int a, int b) {
       if(b==0)
           return a;
       else
           return mcd(b, a % b);
    } 
    
    // <<Comandos>>
    public void establecerNum(int n){
        num = n;
    }
    
    public void establecerDen(int d){
        den = d;
    }
    
    public void copy(Racional r){
        num = r.obtenerNum();
        den = r.obtenerDen();
    }
    
    // <<Consultas>>
    public int obtenerNum(){
        return num;
    }
    public int obtenerDen(){
        return den;
    }
    public String toString(){
        return num+"/"+den;
    }
    public boolean equals(Racional r){
        return (num==r.obtenerNum()) && (den==r.obtenerDen());
    }
    public Racional clone(){
        return new Racional(num,den);
    }
    
    public Racional suma(Racional r){
        int denominador=den*r.obtenerDen();
        int numerador= ((denominador/den)*num)+((denominador/r.obtenerDen())*r.obtenerNum());
        return new Racional(numerador,denominador);
    }
    
    public Racional producto(Racional r){
        int numerador = num*r.obtenerNum();
        int denominador = den*r.obtenerDen();
        return new Racional(numerador, denominador);
    }
    
}