public class Criatura {
    // <<Atributos de instancia>>
    private String nombre;
    private int energia;
    // <<Constructor>>
    public Criatura(String nombre){
        this.nombre = nombre;
        energia = 100;
    }
    // <<Comandos>>
    public void jugar(){
            if(energia>0){
            energia-=10;
            if (energia<0)
                energia=0;
        }
    }
    public void descansar(){
        energia = 100;
    }
    
    // <<Consultas>>
    public boolean igual(Criatura c){
        return nombre.equals(c.obtenerNombre());
    }
    
    public boolean mayor(Criatura c){
        return (nombre.compareTo(c.obtenerNombre()) > 0);          
    }
    
    public String obtenerNombre(){
        return nombre;
    }
}