public class Paciente{
    // <<Atributos de instancia>>
    private String nombre;
    private String obraSocial;
    private char sexo;
    private Fecha fechaNac;
    // <<Constructor>>
    public Paciente(String nom){
        nombre = nom;
    }
    // <<Comandos>>
    public void establecerFechaNac(Fecha f){
        fechaNac = f;
    }
    // <<Consultas>>
    public boolean igual(Paciente pac){
        return pac.obtenerNombre().equals(nombre);
    }
    public String obtenerNombre(){ 
        return nombre; 
    }
    
    public int edad(Fecha act){
        Fecha cumpleanios = new Fecha(fechaNac.obtenerDia(), fechaNac.obtenerMes(), act.obtenerAnio());

        int edad = act.obtenerAnio() - fechaNac.obtenerAnio();
        if (cumpleanios.esAnterior(act))
            edad--;
        return edad;
    }

    
    public String obtenerObraSocial(){ 
        return obraSocial;
    }
}