import java.lang.Math; 
public class Punto{
    // <<Atributos de instancia>>
    private float x;
    private float y;
    // <<Constructor>>
    public Punto(float x, float y){
        this.x=x;
        this.y=y;
    }
    
    // <<Comandos>> 
    public void establecerX(float v){
        x = v;
    }
    public void establecerY(float v){
        y = v;
    }
    
    // <<Consultas>>
    public float obtenerX(){
        return x;
    }
    public float obtenerY(){
        return y;
    }
    public float distancia(Punto p){
        float x2 = p.obtenerX();
        float y2= p.obtenerY();
        
        return (float)Math.sqrt((x-x2)*(x-x2)+(y2-y)*(y2-y));
    }
}